#!/usr/bin/perl -w

use strict;
use FileHandle;

( @ARGV == 2 ) 
  or die( "Usage: $0 .F90 .interface\n" );

my ( $F90, $intf ) = @ARGV;

( my $fhcode = 'FileHandle'->new( "<$F90" ) )
  or die( "Cannot open <$F90\n" );

 
my @code = <$fhcode>;

grep( { m/^\s*!\s*INTF\s*$/io } @code )
  or die( "$F90 does not contain any !INTF marker\n" );





my @intf0;

if( my $fhintf = 'FileHandle'->new( "<$intf" ) ) {
  @intf0 = <$fhintf>;
} 


my @intf1;

for( @code ) {
  push @intf1, $_;
  last if( m/^\s*!\s*INTF\s*$/io );
}

@intf1 = grep { ! ( m/^\s*!\s*/o or m/^\s*$/o ) } @intf1;

my $what;

( $intf1[0] =~ m/SUBROUTINE/io ) && ( $what = 'Subroutine' );
( $intf1[0] =~ m/FUNCTION/io ) && ( $what = 'Function' );

$what 
  or die( "Cannot guess whether $F90 contains a function or a subroutine\n" );

@intf1 = ( "Interface\n", @intf1, "End $what\n", "End Interface\n" );

exit( 0 ) if( "@intf0" eq "@intf1" );

( my $fhintf = 'FileHandle'->new( ">$intf" ) )
  or die( "Cannot open >$intf\n" );
  
  
$fhintf->print( join( '', @intf1 ) );




