#!/bin/ksh
#
# create binary coefficients for all ASCII coef files found
# in directory DATART
#
# P. Brunel Feb 2003
# update for RTTOV 9  May 2007
#

DATA=${DATA:=..}                              ; export DATA
DATART=${DATART:=$LOCAL/rttov/rttov9/rtcoef_rttov7}   ; export DATART
#DATART=${DATART:=$DATA/rtcoef_rttov9} 	      ; export DATART

# use function for rttov ids
. rttov_id.ksh

CUR_DIR=`pwd`
cd ../bin
EXEC_DIR=`pwd`

cd $DATART

for FILE in `\ls rtcoef*.dat`
do
  if [ -f ${FILE} ] && [ ! -L ${FILE} ] ; then

  set `echo $FILE | tr '_' ' ' | tr '.' ' '`
  PLATFORM=$2
  INST=$4
  SATID=$3

  # call to function rttov_id
  rttov_id ${PLATFORM} ${INST}

  AERO=scaercoef_${PLATFORM}_${SATID}_${INST}.dat
  if  [ -f ${AERO} ] ; then
    OPTION_AERO_CLOUDS=1
  else
    OPTION_AERO_CLOUDS=0
  fi
  echo
  echo "converting coef file for rttov id: ${PLATFORM} ${INST} ${SATID}"

  ${EXEC_DIR}/rttov_ascii2bin_coef.exe << EOF
  ${PLATFORM_N}, ${SATID}, ${INST_N}
  ${OPTION_AERO_CLOUDS}
   0
EOF

  elif [ -L ${FILE} ] ; then
    set `echo $FILE | tr '_' ' ' | tr '.' ' '`
    PLATFORM=$2
    INST=$4
    SATID=$3
    echo
    echo "skip symbolic link ${PLATFORM} ${INST} ${SATID}"
  fi

done
exit
