#!/bin/ksh
#
# tests for RTTOV-9 Forward model for all instruments.
#
# Set up path names
DATAIN=${DATAIN:=../data}    ; export DATAIN
DATART=${DATART:=../rtcoef_rttov7}    ; export DATART
DATART9=${DATART9:=../rtcoef_rttov9}    ; export DATART9
REF_TEST=${REF_TEST:=../reftest}     ; export REF_TEST
TEST=${TEST:=../test}	                      ; export TEST
#
PLEVS='plevs_43lev.dat'
#############################################################
PLATFORM='noaa'
INST='avhrr'
#
#
#Test is Tropical Nadir over Sea
CHANNELS1='input_avhrr1.dat'       # For satellites Noaa 5 6 8 10
CHANNELS='input_avhrr.dat'         # For other satellites 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'			# Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"
./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  5 ${CHANNELS1} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  6 ${CHANNELS1} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  7 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 04 ${PLATFORM} ${INST}  8 ${CHANNELS1} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 05 ${PLATFORM} ${INST}  9 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 06 ${PLATFORM} ${INST}  10 ${CHANNELS1} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 07 ${PLATFORM} ${INST} 11 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 08 ${PLATFORM} ${INST} 12 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 09 ${PLATFORM} ${INST} 14 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 10 ${PLATFORM} ${INST} 15 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 11 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 12 ${PLATFORM} ${INST} 17 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 13 ${PLATFORM} ${INST} 18 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='noaa'
INST='hirs'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_irem.dat'
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  5 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  6 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  7 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 04 ${PLATFORM} ${INST}  8 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 05 ${PLATFORM} ${INST}  9 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 06 ${PLATFORM} ${INST}  10 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 07 ${PLATFORM} ${INST} 11 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 08 ${PLATFORM} ${INST} 12 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 09 ${PLATFORM} ${INST} 14 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 10 ${PLATFORM} ${INST} 15 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 11 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 12 ${PLATFORM} ${INST} 17 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 13 ${PLATFORM} ${INST} 18 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='noaa'
INST='ssu'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_ssu.dat'         
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"
./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  5 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  6 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  7 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 04 ${PLATFORM} ${INST}  8 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 05 ${PLATFORM} ${INST}  9 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 06 ${PLATFORM} ${INST}  10 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 07 ${PLATFORM} ${INST} 11 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 09 ${PLATFORM} ${INST} 14 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='noaa'
INST='msu'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_msu_f2.dat'        
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"
./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  5 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  6 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  7 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 04 ${PLATFORM} ${INST}  8 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 05 ${PLATFORM} ${INST}  9 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 06 ${PLATFORM} ${INST}  10 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 07 ${PLATFORM} ${INST} 11 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 08 ${PLATFORM} ${INST} 12 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 09 ${PLATFORM} ${INST} 14 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
DATARTSAVE=${DATART} ;
DATART=${DATART9} ;

PLATFORM='noaa'
INST='amsua'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_amsua_f2.dat' 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  15 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  17 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 04 ${PLATFORM} ${INST}  18 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='noaa'
INST='amsub'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_amsub_f2.dat' 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"
./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  15 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  17 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='noaa'
INST='mhs'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_amsub_f2.dat' 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"
./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  18 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='dmsp'
INST='ssmi'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_allsats_ssmi_f2.dat'     
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
SURF_TYPE='1'

echo  "Sensor   ${INST}"
./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  8 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  9 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST} 10 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 04 ${PLATFORM} ${INST}  11 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 05 ${PLATFORM} ${INST}  12 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 06 ${PLATFORM} ${INST}  14 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 07 ${PLATFORM} ${INST}  15 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='dmsp'
INST='ssmis'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_ssmis.dat'     
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"
./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
DATART=${DATARTSAVE} ;

PLATFORM='ers'
INST='atsr'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_atsr.dat'     
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  1 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

PLATFORM='envisat'
./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  1 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='goes'
INST='imager'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_goesim.dat' 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  8 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  9 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  10 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 04 ${PLATFORM} ${INST}  11 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 05 ${PLATFORM} ${INST}  12 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='gms'
INST='imager'
#                      GMS IMAGER is test number 11 of imagers
#
#Test is Tropical Nadir over Sea
CHANNELS='input_gms.dat'
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"
./single_test_fwd.ksh 11 ${PLATFORM} ${INST}  5 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='goes'
INST='sounder'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_goessnd.dat' 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  8 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  9 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  10 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 04 ${PLATFORM} ${INST}  11 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='eos'
INST='modis'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_modis.dat'
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  1 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}
#############################################################
PLATFORM='eos'
INST='airs'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_airs_281.dat' 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'
# uncomment next lines to include AIRS
#echo  "Sensor   ${INST}"

#./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
#${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='meteosat'
INST='mviri'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_met.dat' 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  5 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  6 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 03 ${PLATFORM} ${INST}  7 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
PLATFORM='msg'
INST='seviri'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_msg.dat' 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  1 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

./single_test_fwd.ksh 02 ${PLATFORM} ${INST}  2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}
#############################################################
#   MTSAT imagers is test number 12
PLATFORM='mtsat'
INST='imager'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_mtsat.dat'       # For imager 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

#./single_test_fwd.ksh 12 ${PLATFORM} ${INST}  1 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
#${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
#   FY-2C imagers is test number 13
PLATFORM='fy2'
INST='vissr'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_gms.dat'       # For imager 
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

#./single_test_fwd.ksh 13 ${PLATFORM} ${INST}  3 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
#${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

#############################################################
DATARTSAVE=${DATART} ;
DATART=${DATART9} ;
PLATFORM='eos'
INST='amsr'
#
#
#Test is Tropical Nadir over Sea
CHANNELS='input_amsre.dat'
PROFILE='prof_trop_f2.dat'
ZENANGLE='45.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

##############################################################
PLATFORM='coriolis'
INST='windsat'
#
#Test is Tropical Nadir over Sea
CHANNELS='input_windsat.dat'
PROFILE='prof_trop_f2.dat'
ZENANGLE='45.'
AZANGLE='45.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

./single_test_fwd.ksh 01 ${PLATFORM} ${INST}  1 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}

DATART=${DATARTSAVE} ;

echo  " "
echo  "Test FWD successfully completed"

exit
