#!/bin/ksh
#
# tests for RTTOV-9 profile interface 
#
# R. Saunders july 2007 
# 
#
DATAIN=${DATAIN:=../data}    ; export DATAIN

DATART=${DATART:=../rtcoef_rttov7}    ; export DATART
DATART1=${DATART1:=../rtcoef_rttov8/rttov8pred}    ; export DATART1
DATART2=${DATART2:=../rtcoef_rttov9}    ; export DATART2
SAVE_DATART=$DATART

REF_TEST=${REF_TEST:=../reftest_levels}     ; export REF_TEST
#REF_TEST=${REF_TEST:=../reftest_levels_lintau} ; export REF_TEST
TEST=${TEST:=../test_levels}	                      ; export TEST
#
#############################################################
PLATFORM='noaa'
INST='hirs'
CHANNELS='input_irem.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
FULL='1'
NPROF='1'
#############################################################

REFRACTION='0'
PLEVS='plevs_43lev_nointerp.dat'
PROFILE='prof_52P1_43L.dat'
./single_test_rttov9.ksh 01 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

PLEVS='plevs_43lev.dat'
PROFILE='prof_52P1_43L.dat'
./single_test_rttov9.ksh 02 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

PLEVS='plevs_101lev.dat'
PROFILE='prof_52P1_101L.dat'
./single_test_rttov9.ksh 03 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

DATART=${DATART1} ;
PLEVS='plevs_43lev.dat'
PROFILE='prof_52P1_43L.dat'
./single_test_rttov9.ksh 04 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}
DATART=${SAVE_DATART}

DATART=${DATART1} ;
PLEVS='plevs_101lev.dat'
PROFILE='prof_52P1_101L.dat'
./single_test_rttov91.ksh 05 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

PLEVS='plevs_43lev.dat'
PROFILE='prof_52P1_43L.dat'
./single_test_rttov91.ksh 06 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

PLEVS='plevs_101lev.dat'
PROFILE='prof_52P1_101L.dat'
./single_test_rttov9.ksh 07 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

NPROF1='10'
DATART=${SAVE_DATART}
PLEVS='plevs_101lev.dat'
CHANNELS='input_hirs_1.dat'
PROFILE='prof_52P1_101L.dat'
./single_test_rttov9.ksh 08 ${PLATFORM} ${INST} 16 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF1}

PLATFORM='eos'
INST='airs'
CHANNELS='input_airs.dat'

DATART=${DATART2} ;
PLEVS='plevs_101lev_nointerp.dat'
PROFILE='prof_trace_gases_101lev.dat'
#./single_test_rttov9.ksh 09 ${PLATFORM} ${INST} 2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
#${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

PLEVS='plevs_101lev.dat'
PROFILE='prof_trace_gases_101lev.dat'
#./single_test_rttov9.ksh 10 ${PLATFORM} ${INST} 2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
#${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

PLEVS='plevs_43lev.dat'
PROFILE='prof_trace_gases_43lev.dat'
#single_test_fwd.ksh 11 ${PLATFORM} ${INST} 2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
#${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

REFRACTION='1'
PLEVS='plevs_101lev.dat'
PROFILE='prof_trace_gases_43lev.dat'
#single_test_fwd.ksh 12 ${PLATFORM} ${INST} 2 ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
#${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${FULL} ${NPROF}

echo  " "
echo  "Test levels successfully completed"

exit
