#!/bin/ksh
#
# tests for RTTOV-8 Forward model for all instruments.
#
# P. Brunel Dec 2002
# M. Matricardi,ECMWF,December 2006
#
DATAIN=${DATAIN:=../data}    ; export DATAIN

DATART=${DATART:=../rtcoef_rttov7}    ; export DATART
#DATART=${DATART:=../rtcoef_rttov9/nozeeman}   ; export DATART
#DATART=${DATART:=/data/nwp1/frrs/rtcoef/rttov8/rttov8pred/kcarta/rttov8_kcarta_cf_p52_l101}    ; export DATART
#DATART=${DATART:=/data/nwp1/frrs/rtcoef/rttov8/rttov8pred/kcarta/rttov8_kcarta_cf_p52_l43}    ; export DATART
#DATART=${DATART:=/data/nwp1/frrs/rtcoef/rttov9/genln2}; export DATART

REF_TEST=${REF_TEST:=../reftest}     ; export REF_TEST
#REF_TEST=${REF_TEST:=$RTTOV/rttov90/test}     ; export REF_TEST
TEST=${TEST:=../test}	                      ; export TEST
#
PLEVS='plevs_43lev_nointerp.dat'
#############################################################
PLATFORM='eos'
INST='hsb'
SATID='2'
#
#Test is Tropical Nadir over Sea
CHANNELS='input_hsb_f2.dat'
PROFILE='prof_trop_f2.dat'
ZENANGLE='0.'
AZANGLE='0.'
SUNRAD='0'
AEROSOLS='0'
CLOUDS='0'
SURF_TYPE='1'           # Sea
WATER_TYPE='1'
LATITUDE='45.'
ELEVATION='0.'
REFRACTION='0'

echo  "Sensor   ${INST}"

single_test_fwd.ksh 96 ${PLATFORM} ${INST} ${SATID} ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION}


exit
