#!/bin/ksh
#
# tests for RTTOV-8 for all sats for TL/AD/K.
#
# ROger Saunders 2004
#
######## Edit this section for your pathnames#######
DATAIN=../data; export DATAIN
DATART=../rtcoef_rttov7; export DATART
DATART9=../rtcoef_rttov9; export DATART9
REF_TEST=../reftest_sx6; export REF_TEST
TEST=../test_sx6; export TEST
###################################################
SAVE_DATART=$DATART
#for TEST_NUMBER in 01 02 03 04 05 06
for TEST_NUMBER in 04

do
  export PROGINF=DETAIL
  export DR_HOOK=0
  export DR_HOOK_OPT='prof'
  export OMP_NUM_THREADS=1
  DATART=${SAVE_DATART}

  case ${TEST_NUMBER} in
    # Test 1 AMSU-A N15 FASTEM-3 Ang=50 Tropics 50 Profiles/call no interpolation
    '01') PLATFORM='noaa'; INST='amsua'; SATID='15';CHANNELS='input_amsua_f2.dat'; 
	  PROFILE='prof_trop_f2.dat'; PLEVS='plevs_43lev_nointerp.dat' ; ZENANGLE='50.'; AZANGLE='45.'; SUNRAD='0'; 
          AEROSOLS='0'; CLOUDS='0'; SURF_TYPE='1'; WATER_TYPE='1'; LATITUDE='45.'; ELEVATION='0'; REFRACTION='0'; 
          NPROF='50'; NPROFS='500'; OPTION='0';;

    # Test 2 AMSU-A N15 FASTEM-3 Ang=50 Tropics 1 Profiles/call no interpolation
    '02') PLATFORM='noaa'; INST='amsua'; SATID='15';CHANNELS='input_amsua_f2.dat'; 
	  PROFILE='prof_trop_f2.dat'; PLEVS='plevs_43lev_nointerp.dat' ; ZENANGLE='50.'; AZANGLE='45.'; SUNRAD='0'; 
          AEROSOLS='0'; CLOUDS='0'; SURF_TYPE='1'; WATER_TYPE='1'; LATITUDE='45.'; ELEVATION='0'; REFRACTION='0'; 
          NPROF='1'; NPROFS='500'; OPTION='0';;

    # Test 3 AMSU-A N15 FASTEM-3 Ang=50 Tropics 1 Profiles/call with interpolation
    '03') PLATFORM='noaa'; INST='amsua'; SATID='15';CHANNELS='input_amsua_f2.dat'; 
	  PROFILE='prof_52P1_101L.dat'; PLEVS='plevs_101lev.dat' ; ZENANGLE='50.'; AZANGLE='45.'; SUNRAD='0'; 
          AEROSOLS='0'; CLOUDS='0'; SURF_TYPE='1'; WATER_TYPE='1'; LATITUDE='45.'; ELEVATION='0'; REFRACTION='0'; 
          NPROF='1'; NPROFS='500'; OPTION='0';;

    # Test 4 HIRS N15 Emi=1 Ang=0 tropics rttov-7 predictors 50 Profiles/call no interpolation
    '04') PLATFORM='noaa'; INST='hirs'; SATID='15';CHANNELS='input_irem.dat'; PLEVS='plevs_43lev_nointerp.dat'; 
	  PROFILE='prof_trop_f2.dat'; ZENANGLE='0.'; AZANGLE='45.'; SUNRAD='0'; AEROSOLS='0'; CLOUDS='0';
      SURF_TYPE='1'; WATER_TYPE='1'; LATITUDE='45.'; ELEVATION='0'; REFRACTION='0'; NPROF='50'; NPROFS='500'; OPTION='1';;

    # Test 5 AIRS  ISEM Ang=0 tropics rttov-9 predictors 50 Profiles/call no interpolation
    '05') DATART=${DATART9} ;
          PLATFORM='eos'; INST='airs'; SATID='2';CHANNELS='input_airs.dat'; PLEVS='plevs_101lev_nointerp.dat'; 
	  PROFILE='prof_101lev.dat'; ZENANGLE='0.'; AZANGLE='45.'; SUNRAD='0'; AEROSOLS='0'; CLOUDS='0';
      SURF_TYPE='1'; WATER_TYPE='1'; LATITUDE='45.'; ELEVATION='0'; REFRACTION='0'; NPROF='50'; NPROFS='500'; OPTION='1';;

    # Test 6 AIRS  ISEM Ang=0 tropics rttov-9 predictors 50 Profiles/call with interpolation
    '06') DATART=${DATART9} ;
          PLATFORM='eos'; INST='airs'; SATID='2';CHANNELS='input_airs.dat'; PLEVS='plevs_101lev.dat'; 
	  PROFILE='prof_101lev.dat'; ZENANGLE='0.'; AZANGLE='45.'; SUNRAD='0'; AEROSOLS='0'; CLOUDS='0';
      SURF_TYPE='1'; WATER_TYPE='1'; LATITUDE='45.'; ELEVATION='0'; REFRACTION='0'; NPROF='50'; NPROFS='500'; OPTION='1';;

  esac

  single_test_sx6.ksh ${TEST_NUMBER} ${PLATFORM} ${INST} ${SATID} ${CHANNELS} ${PROFILE} ${PLEVS} ${ZENANGLE} ${AZANGLE} \
  ${SUNRAD} ${AEROSOLS} ${CLOUDS} ${SURF_TYPE} ${WATER_TYPE} ${LATITUDE} ${ELEVATION} ${REFRACTION} ${NPROF} ${NPROFS} \
  ${OPTION}
  
done

exit
