
Subroutine rttov_make_profile_inc( profiles_inc, profiles, nprofiles )

Use parkind1, Only : jpim, jprb
Use rttov_types, Only : profile_Type

Implicit None

Integer(Kind=jpim), Intent(in)    :: nprofiles
Type(profile_type), Intent(inout) :: profiles_inc(nprofiles)
Type(profile_type), Intent(in)    :: profiles(nprofiles)

!INTF


Integer(Kind=jpim) :: j

  Do j = 1, nprofiles

! increments for atmospheric variables
!     profiles_inc(j)%p   =  0.01_jprb * profiles(j)%p     ! tl on pressure levels
     profiles_inc(j)%p   =  0._jprb 
     profiles_inc(j)%t   = -1._jprb                        ! 1k on temperarure
     profiles_inc(j)%q   = -0.1_jprb * profiles(j)%q       ! 
     profiles_inc(j)%o3  = -0.01_jprb                      !  0.01_jprb ppmv
     profiles_inc(j)%co2 = -0.01_jprb * profiles(j)%co2(:) ! - 1% 
     profiles_inc(j)%co  = -0.01_jprb * profiles(j)%co(:)  ! - 1% 
     profiles_inc(j)%n2o = -0.01_jprb * profiles(j)%n2o(:) ! - 1% 
     profiles_inc(j)%ch4 = -0.01_jprb * profiles(j)%ch4(:) ! - 1% 

     if( associated( profiles_inc(j)%aerosols ) ) then
       profiles_inc(j)%aerosols = -0.01_jprb * profiles(j)%aerosols
     endif
     if( associated( profiles_inc(j)%cloud ) .and. associated( profiles_inc(j)%cfrac ) ) then
       profiles_inc(j)%cloud = -0.01_jprb * profiles(j)%cloud
       profiles_inc(j)%cfrac = -0.01_jprb * profiles(j)%cfrac
     endif
     profiles_inc(j)%clw = 0.001_jprb                     ! 1g/kg on clw

!
     profiles_inc(j)%s2m%t     =  -1._jprb                       ! 1k on temperarure
     profiles_inc(j)%s2m%q     = -0.1_jprb * profiles(j)%s2m%q   ! -10% on 2m wv
     profiles_inc(j)%s2m%p     = -10._jprb                       ! -10 hpa on pressure
     profiles_inc(j)%s2m%u     = 0.01_jprb                       ! 0.01_jprb m/s on wind components
     profiles_inc(j)%s2m%v     = 0.01_jprb                       ! 0.01_jprb m/s on wind components
     profiles_inc(j)%s2m%o     = -0.01_jprb 
     profiles_inc(j)%s2m%wfetc =  10._jprb

! increments for skin variables
     profiles_inc(j)%skin%t      = -1._jprb                ! 1k on temperature
     profiles_inc(j)%skin%fastem = (/ -0.01_jprb, -0.01_jprb, -0.1_jprb, -0.001_jprb, -0.001_jprb /)

! increments for cloud variables
     profiles_inc(j)%ctp       = -10._jprb  ! -10 hpa on pressure
     profiles_inc(j)%cfraction = 0.1_jprb   ! 0.1_JPRB on cloud fraction

     profiles_inc(j)%zenangle    = 0._jprb
     profiles_inc(j)%azangle     = 0._jprb
     profiles_inc(j)%sunzenangle = 0._jprb
     profiles_inc(j)%sunazangle  = 0._jprb
     profiles_inc(j)%elevation   = 0._jprb
     profiles_inc(j)%latitude    = 0._jprb
     profiles_inc(j)%be          = 0._jprb
     profiles_inc(j)%cosbk       = 0._jprb
     

  End Do

End Subroutine

