Module rttov_unix_env

#ifdef RTTOV_USE_F90_UNIX_ENV
use f90_unix_env
use f90_unix_proc
#endif

Use parkind1, only : jpim, jprb

Contains

Subroutine rttov_getenv( key, val )
  Character*(*) :: key, val
  Call getenv( key, val )
End Subroutine


Integer(Kind=jpim) Function rttov_iargc()
  rttov_iargc = iargc()
End Function

Subroutine rttov_getarg( key, val )
  Integer(Kind=jpim) :: key
  Character*(*) :: val
  Call getarg( key, val )
End Subroutine

Subroutine rttov_exit( status )
  Integer(Kind=jpim) :: status

#ifdef RTTOV_USE_F90_UNIX_ENV
  Call exit( status )
#else
  If( status .gt. 0 ) Then
    Stop 1
  Else
    Stop
  EndIf
#endif

End Subroutine

Subroutine rttov_mkdir( path )
  Character(len=*), Intent(in) :: path
  Call system( "mkdir -p " // Trim(path) )
End Subroutine

Character*256 Function rttov_dirname( path )
  Character(len=*), Intent(in) :: path
  
  Integer(Kind=jpim) :: i
  rttov_dirname = ""
  i = Len( Trim( path ) ) - 1
  Do
    If( i .le. 0 ) Return
    If( path(i:i) .eq. '/' ) Exit
    i = i - 1
  EndDo
  rttov_dirname = path(1:i)
End Function

End Module
